- Main Page
- Modules
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# NEDImportResolver Class Reference
[Controlling the compilation process]

`#include <nedcompiler.h>`

Inheritance diagram for NEDImportResolver:

List of all members.

## Detailed Description

Abstract interface for loading NED imports; to be used with NEDCompiler.

## Public Member Functions
| NEDImportResolver ()
virtual | ~NEDImportResolver ()
virtual NEDElement * | loadImport (const char *import)=0

## Constructor & Destructor Documentation

NEDImportResolver::NEDImportResolver | ( |  | ) | `[inline]`

| Constructor.

virtual NEDImportResolver::~NEDImportResolver | ( |  | ) | `[inline, virtual]`

| Destructor.

## Member Function Documentation

virtual NEDElement* NEDImportResolver::loadImport | ( | const char * | import | ) | `[pure virtual]`

| Load the given import (e.g. NED file) and return it Implemented in NEDClassicImportResolver.

The documentation for this class was generated from the following file:

- nedcompiler.h